package cn.iocoder.yudao.module.jx.mapper;

import cn.iocoder.yudao.module.jx.domain.DriveSchoolCourse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 驾校课程分类Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-21
 */
@Mapper
public interface DriveSchoolCourseMapper
{
    /**
     * 查询驾校课程分类
     *
     * @param id 驾校课程分类主键
     * @return 驾校课程分类
     */
    public DriveSchoolCourse selectDriveSchoolCourseById(Long id);

    /**
     * 查询驾校课程分类列表
     *
     * @param driveSchoolCourse 驾校课程分类
     * @return 驾校课程分类集合
     */
    public IPage<DriveSchoolCourse> selectDriveSchoolCourseList(@Param("entity") DriveSchoolCourse driveSchoolCourse, Page<DriveSchoolCourse> page);
    public IPage<DriveSchoolCourse> selectDriveSchoolCourseAppletList(@Param("entity") DriveSchoolCourse driveSchoolCourse,Page<DriveSchoolCourse> page);
    public List<DriveSchoolCourse> selectDriveSchoolCourseAppletListAll(@Param("entity") DriveSchoolCourse driveSchoolCourse);
    public List<DriveSchoolCourse> selectDriveSchoolCourseAppletFavorableListList(DriveSchoolCourse driveSchoolCourse);

    /**
     * 新增驾校课程分类
     *
     * @param driveSchoolCourse 驾校课程分类
     * @return 结果
     */
    public int insertDriveSchoolCourse(DriveSchoolCourse driveSchoolCourse);

    /**
     * 修改驾校课程分类
     *
     * @param driveSchoolCourse 驾校课程分类
     * @return 结果
     */
    public int updateDriveSchoolCourse(DriveSchoolCourse driveSchoolCourse);

    /**
     * 删除驾校课程分类
     *
     * @param id 驾校课程分类主键
     * @return 结果
     */
    public int deleteDriveSchoolCourseById(Long id);

    /**
     * 批量删除驾校课程分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDriveSchoolCourseByIds(Long[] ids);

    DriveSchoolCourse findSchoolCourseByOrderNumber(Long orderNo);

    DriveSchoolCourse getOne();
}
